Ignoring ensurepip failure: pip 9.0.1 requires SSL/TLS

Issue #2620 invalid
pieroliviermarquis
created an issue

I am trying to install pip and I am getting this error.

$ pypy3 -m ensurepip. Ignoring ensurepip failure: pip 9.0.1 requires SSL/TLS

I am using the lasted nightly build. I don't have this problem with 2.7 and I already have pip installed on my computer so it must be something with the package.

Comments (7)

  1. Armin Rigo

    You have asked the same question three times on StackOverflow. I commented in the 2nd question, but you have deleted it since then. My comment was: PyPy 3.5 is only fully supported on Linux so far, as it is a beta version. We don't distribute any package of PyPy 3.5 for Windows, so I have no idea which package you're referring to.

  2. Mouline Messelier

    I've installed the linux x64 tar bz2 and can run pypy3. v6.0.0

    pypy3 -m ensurepip "Ignoring ensurepip failure: pip 9.0.1 requires SSL/TLS"

    I can see the file ./lib-python/3/ensurepip/_bundled/pip-9.0.1-py2.py3-none-any.whl under where I've installed the tar bz2

  3. Log in to comment